Bug 726446 - RFE: CLI: Add `batch` to interactive mode.
RFE: CLI: Add `batch` to interactive mode.
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
3.0.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 12:02 EDT by Ondřej Žižka
Modified: 2011-10-06 15:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-07-28 12:02:55 EDT
In AS 7 CLI (interactive mode), you can type `batch` and write few commands, which are done in batch after you type `run-batch`.

Would be nice to have this in RHQ CLI, too.
(I'm not asking for other functionality like AS 7 CLI's rollback.)

It would people allow to copy and paste multiline constructs like

   for( var i = ... ){
       ...
   }

without need to append \ to the end of the line.

Thanks for considering.
Comment 1 Ondřej Žižka 2011-08-01 19:24:45 EDT
Workaround:

Just found a trick for CLI.

If you want to have a script but still want to be able to copy it to interactive CLI before https://bugzilla.redhat.com/show_bug.cgi?id=726446 is implemented (if ever :),
then you can do this:

try { // \
   ...  // No need for \ inside a block
} // \
catch { // \
   ...
}

And because you don't need \ inside the root block, you can simply do

{ // \
   // whatever ...
}

So you can e.g. copy'n'paste whole function bodies, while only cluttering it's first line.


HTH,
Ondra

Note You need to log in before you can comment on or make changes to this bug.